Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159591 - lpadmin client-error-not-possible EPIPE (Broken pipe )
Summary: lpadmin client-error-not-possible EPIPE (Broken pipe )
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-05 13:09 UTC by W Agtail
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-03 10:00:32 UTC


Attachments (Terms of Use)
lpadmin strace file (deleted)
2005-06-05 13:09 UTC, W Agtail
no flags Details
rpm file (cups ppd file etc) (deleted)
2005-06-05 13:18 UTC, W Agtail
no flags Details

Description W Agtail 2005-06-05 13:09:58 UTC
Description of problem:
Unable to add a printer queue


Version-Release number of selected component (if applicable):
cups-1.1.23-15
Kernel: 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:56:33 EDT 2005 x86_64 x86_64 x86_64
GNU/Linux


How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh pips-spr300_310-cups-2.6.2-2.i386.rpm
from: http://www.avasys.jp/english/index_e.html
2.lpadmin -p a4 -v ekplp:/var/ekpd/ekplp0 -m ekspr300_310.ppd
3.
  
Actual results:
lpadmin errors with:
lpadmin: add-printer (set device) failed: client-error-not-possible

Expected results:
a working printer queue

Additional info:
I've attached strace output and above mentioned pips rpm.

I have a USB attached printer, all above commands work on another computer
running FC1. This command works OK without error, although I do not have a
parallel printer:
lpadmin -p a4 -v parallel:/dev/lp0 -m ekspr300_310.ppd

Comment 1 W Agtail 2005-06-05 13:09:58 UTC
Created attachment 115149 [details]
lpadmin strace file

Comment 2 W Agtail 2005-06-05 13:18:13 UTC
Created attachment 115150 [details]
rpm file (cups ppd file etc)

rpm file (cups ppd file etc)

Comment 3 W Agtail 2005-06-26 18:48:28 UTC
also fails with FC4

Comment 4 Tim Waugh 2005-06-28 09:32:45 UTC
What's in /var/log/cups/error_log at that point?

Comment 5 W Agtail 2005-07-03 09:54:59 UTC
> date
Sun Jul  3 10:52:39 IST 2005
l> lpadmin -p a4draft -v ekplp:/var/ekpd/ekplp0 -m ekspr300_310.ppd
lpadmin: add-printer (set device) failed: client-error-not-possible


tail -f /var/log/cups/error_log
E [03/Jul/2005:10:53:11 +0100] add_printer: bad device-uri attribute
'ekplp:/var/ekpd/ekplp0'!


Comment 6 Tim Waugh 2005-07-03 10:00:32 UTC
Did you restart CUPS after installing the ekplp backend?  If not, you need to do
that; if you already did that, it sounds like that backend does not comply with
the CUP API.  Perhaps it gives no output when run with no arguments?  Anyway,
you  need to ask the vendor you got that backend from to investigate that. (It's
not something we ship.)


Note You need to log in before you can comment on or make changes to this bug.